
Name:	 blokkal 
Summary: An extendable blogging client 
Version: 0.0.1
Release: 1%{?dist}

License: GPL
Group: 	 Applications/Publishing
URL:	 http://blokkal.sourceforge.net/
Source0:   http://downloads.sourceforge.net/blokkal/Blokkal-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs-devel
BuildRequires: automake

%description
Blokkal is a KDE blogging client designed to support multiple protocols 
and blogging sites. The goal is to provide a uniform way to access the
most commonly used blogging systems.

Support for additional protocols can be added through plugins.
Currently Blokkal supports servers that employ the LiveJournal blog software. 


%prep
%setup -q -n Blokkal

# auto* is all f**#$ed up, redo it
make -f admin/Makefile.common


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="Network" \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/*.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

# unpackaged files


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/*
%{_datadir}/apps/blokkal*/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop
%{_libdir}/libblokkal.so.*
%{_libdir}/libblokkal.[ls][ao]
%{_libdir}/kde3/blokkal_*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Mar 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.0.1-1
- Blokkal-0.0.1 

